List automations
curl --request GET \
--url https://api.docsautomator.co/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.docsautomator.co/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docsautomator.co/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automations": [
{
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>"
}
]
}{
"error": "Incorrect or missing API key"
}Automations
List automations
Retrieves all automations in the workspace with their configuration details.
GET
/
automations
List automations
Authorizations
API key from your workspace settings. Pass as Authorization: Bearer <key> or X-API-Key: <key>. Find it at app.docsautomator.co/settings/workspace/api.
Response
List of automations
Show child attributes
Show child attributes
Last modified on June 12, 2026
⌘I